html, body
{
    height: 95.5%;
    margin: 0px;
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 14px;
    line-height: 1.42857143;
    color: #333;
}

.content-wrapper
{
    background-color: white !important;
}

hr
{
    margin: 20px 0;
    border: 0;
    border-top: 1px solid silver;
    border-bottom: 1px solid whitesmoke;
}

a
{
    text-decoration: none;
}

.popover-table
{
    border: 1px solid #e0e0e0;
    border-collapse: collapse;
}

.popover-table td
{
    border: 1px solid #e0e0e0;
    padding: 10px;
}

.tframe
{
    margin: 10px;
    padding-top: 5px !important;
    padding-bottom: 8px !important;
    padding-left: 15px !important;
    padding-right: 5px !important;
    border-radius: 4px !important;
}

.tframe legend
{
    background: white;
    color: #fff;
    border-radius: 2px;
    padding-top: 2px;
    padding-bottom: 2px;
    box-shadow: 0 0 0 1px #8A8A8A;
    margin-left: 3px;
    padding-right: 5px;
    margin-right: 5px;
    height: 28px;
}

.tframe legend label
{
    padding-left: 5px;
    font-weight: bold;
}

textarea:focus, input[type="text"]:focus, input[type="password"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, input[type="number"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="color"]:focus, .uneditable-input:focus
{
    border-color: rgba(82, 168, 236, 0.8);
    outline: 0;
    outline: thin dotted 9;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6);
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6);
}

select, textarea, input[type="text"], input[type="password"], input[type="datetime"], input[type="datetime-local"], input[type="date"], input[type="month"], input[type="time"], input[type="week"], input[type="number"], input[type="email"], input[type="url"], input[type="search"], input[type="tel"], input[type="color"], .uneditable-input
{
    display: inline-block;
    height: 28px;
    padding: 4px;
    font-size: 14px;
    line-height: 20px;
    color: #555555;
    vertical-align: middle;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    border: 1px solid #ccc;
}

.tformtitle + tr > td
{
    padding-top: 15px !important;
}

.ui-datepicker-trigger
{
    height: 28px !important;
}

.tseekbutton
{
    height: 28px !important;
}

span.tdate-group-addon, span.input-group-addon.tcolor {
    height: 28px !important;
    border-radius:0 !important;
}

select.tcombo
{
    height: 28px;
    border: 1px solid #ccc !important;
    border-radius: 0;
}

.tfield:focus
{
    border-color: #3c8dbc !important;
    box-shadow: none !important;
    border-radius         : 0;
    -webkit-border-radius : none !important;
    -moz-border-radius    : none !important;
    -webkit-box-shadow : none !important;
    -moz-box-shadow : none !important;
    box-shadow : none !important;
}

textarea, .select2-choices, .select2-container-multi .select2-choices
{
    border: 1px solid #ccc !important;
    border-radius: 0 !important;
    background: white;
    background-image: white;
}

label
{
    margin-bottom: 5px;
}

label, input, button, select, textarea
{
    font-size: 14px;
    font-weight: normal;
    line-height: 20px;
}

textarea:focus, input[type="text"]:focus, input[type="password"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, input[type="number"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="color"]:focus, .uneditable-input:focus
{
    border-color: rgba(82, 168, 236, 0.8);
    outline: 0;
    outline: thin dotted 9;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6);
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6);
}

.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button
{
    font-size: 12px;
    margin: 0px;
}

.tformtitle + tr > td
{
    padding-top: 15px !important;
}

.tformtitle > td
{
    background-color: #3c8dbc !important;
    padding: 8px 0px 8px 5px !important;
}

.tformtitle > td > label
{
    color: white !important;
}

.tformaction > td
{
    padding: 12px !important;
}

.tform > table
{
    background: #fff;
    border: 1px solid #C6C6C6 !important;
    padding: 0px !important;
}

.tform
{
    background: white !important;
    border: none !important;
    border-radius: none !important;
    padding: 0px !important;
    margin-bottom: 20px !important;
}

.tdatagrid_head tr td
{
    height: 34px;
}

.tdatagrid_body tr td
{
    height: 30px;
}

.tdatagrid_body tr td input
{
    height: 24px;
    margin: 0;
    padding: 0px;
    padding-left: 3px;
    padding-right: 3px;
}


.navbar-default .navbar-brand
{
    font-family: 'Open Sans';
}

.sidebar
{
    font-family: 'Open Sans';
}

.tbreadcrumb li span
{
    font-family: 'Open Sans';
    font-size: 10pt;
}

.navbar-right {
    margin-right: 0 !important;
}

.badge-notify{
    background: #E16D6D;
    position:relative;
    top: -12px;
    left: -12px;
}

ul.navbar-top-links > li.dropdown >a {
    background: inherit;
}

ul.navbar-top-links > li.dropdown > a:hover {
    background: #4A9FE0;
}

ul.navbar-top-links .open>a, ul.navbar-top-links .open>a:hover, ul.navbar-top-links .open>a:focus {
    background: #4A9FE0;
}

@media only screen and (min-width: 501px) {
    #search-box {
        display:inline !important;
        float:left;
    }
}

@media only screen and (max-width: 500px) {
    #search-box {
        display:none !important;
    }
}

@media only screen and (max-width: 550px) {
    .pagination>li>a, .pagination>li>span {
        padding: 6px;
    }
}

.btn.btn-default {
    background: white;
}

.navbar-custom-menu > .navbar-nav {
    float: right;
}

.sidebar-menu .treeview li, .sidebar-menu .treeview ul
{
    background: none;
    overflow: hidden;
}

.select2-container {
    background: white;
    border-radius: 5px;
}

.select2-container .select2-choice {
    background-image: none !important;
}

.select2-dropdown-open .select2-choice {
    background-color: white;
}

.tform
{
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.tform .tformtitle > td:first-child
{
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
}

.tform .tformtitle > td:last-child
{
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
}

table.tdatagrid_table
{
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
}

#form_login table > tbody > tr.tformtitle > td
{
    text-align: center;
}

#form_login table > tbody > tr.tformtitle > td > label
{
    padding: 0;
    padding: 8px;
    font-size: 17pt;
}

/*Mailson Datalan - classe de transparência */
.transparencia{
    filter:alpha(opacity=90);
    opacity: 0.9;
    -moz-opacity:0.9;
    -webkit-opacity:0.9;  
}

/*  Célula responsiva passo a passo:
1 - Para o campo responsivo deve-se executar o $campo->setSize('100%')';
2 - O container reseponsivo, deve ser da classe $container->class = 'resp-div';
3 - A célula responsiva do cantainer deve ser $cell->class = 'resp-cell'.
4 - Containers superiores ao container responsivo devem ter $container->class = 'resp-div' ou $container->style = "width:100%".
*/
.resp-cell{
    flex: auto;
    max-width: 2000px;
    min-width: 100px;        
}

.resp-div{
    display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
    display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
    display: -ms-flexbox;      /* TWEENER - IE 10 */
    display: -webkit-flex;     /* NEW - Chrome */
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    width:100%;    
}

.resp-pad{
    padding-left: 10px;       
}

/*Fim célula responsiva */

.tform .tformsectiondl>td{
    font-weight:700;
    padding-top:12px;
    padding-bottom:12px;
    text-align:left;
    background-color:#E6E6E6;
    border-bottom:1px solid #C2C2C2;
    user-select:none;            
}

.tform .tformsubsectiondl>td{
    padding-top:12px;
    padding-bottom:12px;
    text-align:left;
    background-color:whiteSmoke;
    user-select:none; 
    border-top:1px solid #C2C2C2;
}

.frame-foto-vazio{
    color:grey;
    width:250px;
    margin-bottom:10px;
    line-height:100px;
    border:1px solid lightgray;
    display:inline-block;
    position:relative;
    text-align:center;
}

.frame-foto-carregada{
    max-width:250px;
    box-shadow:2px 2px 2px black;
    display:inline-block;
    position:relative;
    margin-bottom:10px;
}

.button-link-ativo{
    background:none!important;
    border:none; 
    padding-left: 10px;
    margin-bottom: 5px;
    color: #00f;
    text-decoration: underline; 
    cursor: pointer;
    font-family: Helvetica,Arial,Verdana;
}

.button-link-inativo{
    background:none!important;
    border:none; 
    margin-bottom: 5px;
    padding-left: 10px;
    text-decoration: none; 
    cursor: default;
    font-family: Helvetica,Arial,Verdana;
}

.fixed .main-sidebar-bottom{
    position: fixed;
    /* Fix for IE */
    -webkit-transition: none;
    -o-transition: none;
    transition: none;    
    white-space: nowrap;
    overflow: hidden;    
    width: 100%;
    bottom: 0;
    right: 0;    
    padding: 5px 15px 5px 15px !important;
    z-index: 900;    
    background-color: #222;    
    border: none !important;
}

.container-button-bottom-fixed{
    position: fixed;
    /* Fix for IE */
    -webkit-transition: none;
    -o-transition: none;
    transition: none;    
    overflow: hidden;    
    width: 100%;
    bottom: 0;
    right: 0;    
    padding: 5px 15px 5px 15px !important;
    z-index: 900;    
    background-color: rgba(34, 34, 34, 0.8);  /*cor #222 + 0.9 de transparencia apenas para o container*/
    border: none !important;
    text-align: right;
    display: inline-block;
}

.accordion-pad{
    padding:5px 10px 0px 10px;
}

@media (max-width: 767px) {
    .accordion-pad  {
        padding: 5px 5px 0px 5px;
    }
}


/*panels para os tipos clinica
O tipo Petshop usa o panel-success do Bootstrap*/

.panel-clinica {
    border-color: #ebc7eb ;
}
.panel-clinica > .panel-heading {
    color: #832f83;
    background-color: #f1daf1;
    border-color: #ebc7eb ;
}
.panel-clinica > .panel-heading + .panel-collapse > .panel-body {
    border-top-color: #ebc7eb ;
}
.panel-clinica > .panel-heading .badge {
    color: #f1daf1;
    background-color: #832f83;
}
.panel-clinica > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #ebc7eb ;
}

/*=================== ajustes bootstrap ========================================*/
.gutter-10.row {
    margin-right: -5px;
    margin-left: -5px;
}

.gutter-10.row label:not(.tcheckgroup_label){
    padding-left: 0px;
    float:right;
}

.gutter-10.row .left label{
    float:left;
}

.gutter-10.row .dlbutton {
    padding-left: 0px;
    float:right;
}

.gutter-10.row .right-left{
    text-align:right;
}

.gutter-10 > [class^="col-"], .gutter-10 > [class*=" col-"] {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 7.5px;
}

.container-pad-10{
    padding: 0px 10px 10px 10px;;
    margin:auto;
}

.container-pad-0{
    padding: 0px;
    margin:auto;
}

@media (max-width: 767px) {
    .gutter-10 > [class^="col-"], .gutter-10 > [class*=" col-"] {
        padding-top: 5px;
    }
    .gutter-10.row label:not(.tcheckgroup_label){
        float:left;
    }

    .gutter-10.row .dlbutton {
        float:left;
    }

    .gutter-10.row .right-left{
        text-align:left;
    }
}

.row-equaheight [class*="col-"]{
  display: flex;
  flex-direction: column;
}

.row-equaheight{
  display: flex;
  flex-wrap: wrap;
}


/*===============================*/

.subsection-title{
    padding-bottom: 3px;
    margin: 15px 0 10px;
    border-bottom: 1px solid #eee;
    font-size: 18px;
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
}

.ui-dialog-titlebar{
    background-color: rgb(245, 245, 245);
    background-image: none;
    border-bottom-color: rgb(221, 221, 221);;
}

.ui-dialog{
    border-color: silver;
    box-shadow: 0px 4px 8px rgba(0,0,0,0.5);
}

/*gridpanel*/

/*.produto, .produto > .box-default:hover{
    background-color: whitesmoke!important;
} 

.produto:hover{
    background-color: lightgrey!important;
}

.servico > .box-default:hover{
    background-color: plum;
}*/

.gridpanel-default {
    border: 1px solid #d2d6de;
    border-top: 3px solid #d2d6de !important;
    color:black;
    margin: 5px 0 5px 0 !important;
}

.gridpanel-default:hover{
    background-color: #f0f2f4 !important;
}

.gridpanel-success {
    border: 1px solid #00a65a;
    border-top: 3px solid #00a65a !important;
    color:black;
    margin: 5px 0 5px 0 !important;
}

.gridpanel-success:hover{
    background-color: #e6fff4 !important;
}

.gridpanel-warning {
    border: 1px solid #f39c12;
    border-top: 3px solid #f39c12 !important;
    color:black;
    margin: 5px 0 5px 0 !important;
}

.gridpanel-warning:hover{
    background-color: #fef5e7 !important;
}

.gridpanel-primary {
    border: 1px solid #3c8dbc;
    border-top: 3px solid #3c8dbc !important;
    color:black;
    margin: 5px 0 5px 0 !important;
}

.gridpanel-primary:hover{
    background-color: #ecf4f9 !important;
}

.gridpanel-info {
    border: 1px solid #00c0ef;
    border-top: 3px solid #00c0ef !important;
    color:black;
    margin: 5px 0 5px 0 !important;
}

.gridpanel-info:hover{
    background-color: #e6faff !important;
}

.gridpanel-danger {
    border: 1px solid #dd4b39;
    border-top: 3px solid #dd4b39 !important;
    color:black;
    margin: 5px 0 5px 0 !important;
}

.gridpanel-danger:hover{
    background-color: #fbebe9 !important;
}

/**/

